Qlik Community

QlikView Deployment

Discussion Board for collaboration related to QlikView Deployment.

Announcements
QlikView Fans! We’d love to hear from you.
Share your QlikView feedback with the product team… Click here to participate in our 5-minute survey.
Rules, plus terms and conditions, can be found here.
nihalbuddy09
Contributor II

QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Hello All,

We have a plan to upgrade the QV server 11.00 Initial Release to anything above 11.20 SR5 or higher on the server to support IE11,  someone please suggest us which version we can go within the 11 SR versions so that everything will work perfectly after upgrading.

Do we need to pay any extra maintenance fees while upgrading to the another SR? and as of now we have a "QV 11 upgrade and migration document" in place to follow to upgrade the server and the publisher license, beside this do I need to consider any other steps ....Please advise.

Thanks,

Nihal

1 Solution

Accepted Solutions
Employee
Employee

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Nihal,

I encourage you to contact Qlik Customer Service (formerly Qoncierge), as they can assist you with licensing issues and help you get in contact with your account manager to get things straightened out.

Regarding your question on which version you can upgrade to dependent upon the support to date in the LEF files, I would say 11.20 SR7. It is best practices to have your Dev/Prod environments the same, so the Dev Environment Publisher is the date to pay attention to - 2014-07-01. As 11.20 SR7 was released in June, 2014, that is the version available to your current LEF status.

I HIGHLY encourage you to get your maintenace in compliance as the most recent version is 11.20 SR15, so by only upgrading to 11.20 SR7, you would be missing many enhancements and bug fixes. Also, if you do run into any bugs, you wouldn't be entitled to receive support for them.

Hope this helps.

- Chip

Sr. Technical Support Engineer with Qlik Support
7 Replies

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

I would recommend 11.2 SR15. If you are current on your annual maint payments, then you are entitled to the SR upgrade at no charge.

-Rob

Employee
Employee

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Hello nihal,

RE:if you have to pay maintenance fee,  check the LEF of your QlikView Server license. Pay close attention to the product level provision, such as PRODUCTLEVEL;10;;2017-06-29. The date at the end of this line is the date which support maintenance lapses. If the date is in the future, like sometime in 2017, then you are fine and can upgrade to any released version of QlikView. If the date has since lapsed, like 2015-01-01, you can only install versions which were released prior to the date. So given the example date of 2015-01-01, you couldn't upgrade to version 11.20 SR15 as it was only recently released. If you the support maintenance date in your QlikView Server LEF is fairly old, you should contact your account manager in order to be current with your support maintenance.

Sr. Technical Support Engineer with Qlik Support
nihalbuddy09
Contributor II

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Thank you very much Chip, for your valuable information.

To add more onto it, after verifying the LEF information I can say that it has lapsed for both development and production environment.

Please see the below Product level information, now I don't understand how to proceed since the Product level information is totally different for Dev and Prod and also it has different dates within the same environment.

Development Environment:

QV Server: PRODUCTLEVEL;10;;2014-10-01

QV Publisher: PRODUCTLEVEL;30;;2014-07-01

Production Environment:

QV Server: PRODUCTLEVEL;10;;2016-06-29

QV Publisher: PRODUCTLEVEL;30;;2015-06-29

Would you please advise which version do I need to opt.

Thank you,

Nihal

Employee
Employee

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Nihal,

I encourage you to contact Qlik Customer Service (formerly Qoncierge), as they can assist you with licensing issues and help you get in contact with your account manager to get things straightened out.

Regarding your question on which version you can upgrade to dependent upon the support to date in the LEF files, I would say 11.20 SR7. It is best practices to have your Dev/Prod environments the same, so the Dev Environment Publisher is the date to pay attention to - 2014-07-01. As 11.20 SR7 was released in June, 2014, that is the version available to your current LEF status.

I HIGHLY encourage you to get your maintenace in compliance as the most recent version is 11.20 SR15, so by only upgrading to 11.20 SR7, you would be missing many enhancements and bug fixes. Also, if you do run into any bugs, you wouldn't be entitled to receive support for them.

Hope this helps.

- Chip

Sr. Technical Support Engineer with Qlik Support
awhitfield
Esteemed Contributor

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Hi Nihal,

you need to check if you still have valid license agreements with your Qlik representative, the dates in the lefs may be out of date if the servers do no have access to Qliks licensing websites.

Andy

nihalbuddy09
Contributor II

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Thanks a lot Chip for your help and I will follow your advise to take further steps on it.

Thank you,

Nihal

nihalbuddy09
Contributor II

Re: QlikView Server Upgrade from 11.00 IR to anything above 11.20 SR5?

Thanks Andrew and Rob for all your advise during this issue, I will contact the Qlik for assistance.

- Nihal

Community Browser